package com.gic.haoban.manage.web.qo.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-12 10:54:22
 */
public class GroupChatActivityRewardLogReq implements Serializable {

    private static final long serialVersionUID = -8126068400193316985L;

    private String enterpriseId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 邀请人会员ID
     */
    private String memberId;

    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private Integer rewardInvite;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 下载导出参数：数据脱敏 1:脱敏 2:完整
     */
    private Integer dataType;

    private Integer pageNum;

    private Integer pageSize;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getRewardInvite() {
        return rewardInvite;
    }

    public void setRewardInvite(Integer rewardInvite) {
        this.rewardInvite = rewardInvite;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
